Package org.eclipse.cdt.core.settings.model.util

# Class LanguageSettingEntriesSerializer

java.lang.Object
org.eclipse.cdt.core.settings.model.util.LanguageSettingEntriesSerializer

public class LanguageSettingEntriesSerializer extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ATTRIBUTE_EXCLUDING`
`static final String`
`ATTRIBUTE_FLAGS`
`static final String`
`ATTRIBUTE_KIND`
`static final String`
`ATTRIBUTE_NAME`
`static final String`
`ATTRIBUTE_SOURCE_ATTACHMENT_PATH`
`static final String`
`ATTRIBUTE_SOURCE_ATTACHMENT_PREFIX_MAPPING`
`static final String`
`ATTRIBUTE_SOURCE_ATTACHMENT_ROOT_PATH`
`static final String`
`ATTRIBUTE_VALUE`
`static final String`
`BUILTIN`
`static final String`
`ELEMENT_ENTRY`
`static final String`
`FLAGS_SEPARATOR`
`static final String`
`INCLUDE_FILE`
`static final String`
`INCLUDE_PATH`
`static final String`
`LIBRARY_FILE`
`static final String`
`LIBRARY_PATH`
`static final String`
`LOCAL`
`static final String`
`MACRO`
`static final String`
`MACRO_FILE`
`static final String`
`NONE`
`static final String`
`OUTPUT_PATH`
`static final String`
`READONLY`
`static final String`
`RESOLVED`
`static final String`
`SOURCE_PATH`
`static final String`
`VALUE_WORKSPACE_PATH`

## Constructor Summary

Constructors
Constructor
Description
`LanguageSettingEntriesSerializer()`

## Method Summary

Modifier and Type
Method
Description
`static int`
`composeFlags(String flagsString)`
`static String`
`composeFlagsString(int flags)`
`static String`
`kindToString(int kind)`
`static ICSettingEntry[]`
`loadEntries(ICStorageElement el)`
`static ICSettingEntry[]`
`loadEntries(ICStorageElement el, int kindFilter)`
`static List<ICSettingEntry>`
`loadEntriesList(ICStorageElement el)`
`static List<ICSettingEntry>`
`loadEntriesList(ICStorageElement el, int kindFilter)`
`static ICSettingEntry`
`loadEntry(ICStorageElement el)`
`static void`
`serializeEntries(ICSettingEntry[] entries, ICStorageElement element)`
`static void`
`serializeEntry(ICSettingEntry entry, ICStorageElement element)`
`static int`
`stringToKind(String kind)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ELEMENT_ENTRY

public static final String ELEMENT_ENTRY

See Also:
  - Constant Field Values

### ATTRIBUTE_KIND

public static final String ATTRIBUTE_KIND

See Also:
  - Constant Field Values

### ATTRIBUTE_NAME

public static final String ATTRIBUTE_NAME

See Also:
  - Constant Field Values

### ATTRIBUTE_VALUE

public static final String ATTRIBUTE_VALUE

See Also:
  - Constant Field Values

### ATTRIBUTE_FLAGS

public static final String ATTRIBUTE_FLAGS

See Also:
  - Constant Field Values

### ATTRIBUTE_EXCLUDING

public static final String ATTRIBUTE_EXCLUDING

See Also:
  - Constant Field Values

### ATTRIBUTE_SOURCE_ATTACHMENT_PATH

public static final String ATTRIBUTE_SOURCE_ATTACHMENT_PATH

See Also:
  - Constant Field Values

### ATTRIBUTE_SOURCE_ATTACHMENT_ROOT_PATH

public static final String ATTRIBUTE_SOURCE_ATTACHMENT_ROOT_PATH

See Also:
  - Constant Field Values

### ATTRIBUTE_SOURCE_ATTACHMENT_PREFIX_MAPPING

public static final String ATTRIBUTE_SOURCE_ATTACHMENT_PREFIX_MAPPING

See Also:
  - Constant Field Values

### INCLUDE_PATH

public static final String INCLUDE_PATH

See Also:
  - Constant Field Values

### INCLUDE_FILE

public static final String INCLUDE_FILE

See Also:
  - Constant Field Values

### MACRO

public static final String MACRO

See Also:
  - Constant Field Values

### MACRO_FILE

public static final String MACRO_FILE

See Also:
  - Constant Field Values

### LIBRARY_PATH

public static final String LIBRARY_PATH

See Also:
  - Constant Field Values

### LIBRARY_FILE

public static final String LIBRARY_FILE

See Also:
  - Constant Field Values

### SOURCE_PATH

public static final String SOURCE_PATH

See Also:
  - Constant Field Values

### OUTPUT_PATH

public static final String OUTPUT_PATH

See Also:
  - Constant Field Values

### NONE

public static final String NONE

Since:
  5.6
See Also:
  - Constant Field Values

### BUILTIN

public static final String BUILTIN

See Also:
  - Constant Field Values

### READONLY

public static final String READONLY

See Also:
  - Constant Field Values

### LOCAL

public static final String LOCAL

See Also:
  - Constant Field Values

### VALUE_WORKSPACE_PATH

public static final String VALUE_WORKSPACE_PATH

See Also:
  - Constant Field Values

### RESOLVED

public static final String RESOLVED

See Also:
  - Constant Field Values

### FLAGS_SEPARATOR

public static final String FLAGS_SEPARATOR

See Also:
  - Constant Field Values

## Constructor Details

### LanguageSettingEntriesSerializer

public LanguageSettingEntriesSerializer()

## Method Details

### loadEntries

public static ICSettingEntry[] loadEntries(ICStorageElement el)

### loadEntries

public static ICSettingEntry[] loadEntries(ICStorageElement el, int kindFilter)

### loadEntriesList

public static List<ICSettingEntry> loadEntriesList(ICStorageElement el)

### loadEntriesList

public static List<ICSettingEntry> loadEntriesList(ICStorageElement el, int kindFilter)

### loadEntry

public static ICSettingEntry loadEntry(ICStorageElement el)

### serializeEntries

public static void serializeEntries(ICSettingEntry[] entries, ICStorageElement element)

### serializeEntry

public static void serializeEntry(ICSettingEntry entry, ICStorageElement element)

### kindToString

public static String kindToString(int kind)

### stringToKind

public static int stringToKind(String kind)

### composeFlagsString

public static String composeFlagsString(int flags)

### composeFlags

public static int composeFlags(String flagsString)

Since:
  5.4